Insufficient Signature Validation

Affecting itextsharp package, versions [,5.5.13.1)

Do your applications use this vulnerable package? Test your applications

Overview

iTextSharp is a PDF library that allows you to CREATE, ADAPT, INSPECT and MAINTAIN documents in the Portable Document Format (PDF).

Affected versions of this package are vulnerable to Insufficient Signature Validation. It is possible to bypass the signature checker feature within itext7 due to insufficient validation of the whole PDF document.

Remediation

Upgrade iTextSharp to version 5.5.13.1 or higher.

References

CVSS Score

5.9
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N/E:U/RL:O/RC:R
Credit
Unknown
CWE
CWE-347
Snyk ID
SNYK-DOTNET-ITEXTSHARP-541283
Disclosed
14 Dec, 2018
Published
09 Jan, 2020